Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JspConfig.JspProperty

    java.lang.Object
      org.apache.jasper.compiler.JspConfig.JspProperty

Enclosing class:
  JspConfig

    public static class JspConfig.JspProperty

extends Object

Constructor Summary
`JspConfig.JspProperty(String isXml, String elIgnored, String scriptingInvalid, String pageEncoding, Vector<String> includePrelude, Vector<String> includeCoda, String deferedSyntaxAllowedAsLiteral, String trimDirectiveWhitespaces, String defaultContentType, String buffer, String errorOnUndeclaredNamespace)`

Method Summary
`String` | `getBuffer()`
`String` | `getDefaultContentType()`
`Vector<String>` | `getIncludeCoda()`
`Vector<String>` | `getIncludePrelude()`
`String` | `getPageEncoding()`
`String` | `isDeferedSyntaxAllowedAsLiteral()`
`String` | `isELIgnored()`
`String` | `isErrorOnUndeclaredNamespace()`
`String` | `isScriptingInvalid()`
`String` | `isTrimDirectiveWhitespaces()`
`String` | `isXml()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspConfig.JspProperty

    public JspConfig.JspProperty(String isXml,
                                 String elIgnored,
                                 String scriptingInvalid,
                                 String pageEncoding,
                                 Vector<String> includePrelude,
                                 Vector<String> includeCoda,
                                 String deferedSyntaxAllowedAsLiteral,
                                 String trimDirectiveWhitespaces,
                                 String defaultContentType,
                                 String buffer,
                                 String errorOnUndeclaredNamespace)

Method Detail

### isXml

    public String isXml()

### isELIgnored

    public String isELIgnored()

### isScriptingInvalid

    public String isScriptingInvalid()

### getPageEncoding

    public String getPageEncoding()

### getIncludePrelude

    public Vector<String> getIncludePrelude()

### getIncludeCoda

    public Vector<String> getIncludeCoda()

### isDeferedSyntaxAllowedAsLiteral

    public String isDeferedSyntaxAllowedAsLiteral()

### isTrimDirectiveWhitespaces

    public String isTrimDirectiveWhitespaces()

### getDefaultContentType

    public String getDefaultContentType()

### getBuffer

    public String getBuffer()

### isErrorOnUndeclaredNamespace

    public String isErrorOnUndeclaredNamespace()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.